### Flutter Wireless Arduino Library

This is the main code repository for the Flutter Wireless Arduino library. The library acts as a "board support package" for Flutter hardware (available at FlutterWireless.com) and also contains the Flutter network library code, a lightweight wireless library for embedded systems.

### Using this library
To use this library, download a zip from github, extract the zip, and place the "Flutter" folder in your Arduino "libraries" folder. Currently Flutter hardware requires a modified version of the Arduino IDE, so please download that at the following link and follow the instructions there to use it with Flutter hardware.
https://github.com/flutterwireless/ArduinoCodebase

### Release notes
This is release 0.1 alpha. It is in a somewhat functional state but will need some developer love before it is fully functional.
See the following Discourse thread for up to date discussion of this code.
http://community.flutterwireless.com/t/team-library-aka-the-meat-and-potatoes-of-flutter/142

### What is Flutter?

Flutter is an open hardware platform for building electronic things. It includes a programmable computer on a chip as well as a battery charging circuit, cryptographic security hardware, long range wireless link, a multicolor LED and two user buttons.

By writing simple programs with free software, Flutter users can easily create powerful electronics useful for wireless sensor networks, robotics, home automation, education, and more.

Flutter Wireless was started in Early 2013 by robotics hobbyist Taylor Alexander, who quickly enlisted the help of Katelynn Cusanelli, Tony Guntharp, Don Thorp, and Todd Sampson. Wireless expert Earl McCune has also generously contributed his time, advice, and equipment to test the wireless hardware and ensure good performance.

Flutter turned from prototype to reality in September 2013 when over 1,600 backers pledged almost $150,000 on Kickstarter to launch the company. The entirety of 2014 was spent on hardware and software development, and as of March 2015 Flutter is beginning to ship to Kickstarter Backers.

Flutter is Free Hardware, meaning that we respect your freedom to modify what you have purchased, whether you seek to improve it, learn, or for any other reason.

### Flutter Legal Disclaimer
These documents are provided for informational purposes only and neither Flutter Wireless nor its employees, contributors, or representatives may be held liable for any damages caused by the use of these files. By using these files, you agree to release from all liability and hold harmless Flutter Wireless, its employees, contributors, and representatives. We are not responsible for any errors or omissions contained herein, and all devices derived from this work should be independently verified by an engineer or engineers skilled in the appropriate fields.
The devices described by these files are wireless devices classified as intentional radiators. The electromagnetic spectrum used by these devices is a publicly shared medium that is regulated by all governments worldwide. If you produce your own copies of these boards, you must comply with all local wireless regulations including but not limited to passing wireless certification tests. Flutter Wireless has performed wireless testing to permit us to distribute this hardware in various regions, but this certification is exclusive to Flutter Wireless and does not extend to third party manufacturers. It is your responsibility to know the laws and ensure that devices you produce follow them.
It should also be noted that open source radio products are a new phenomenon. So far the law permits them, but there is a risk that new legal restrictions could be passed that harm the open source community if users abuse this hardware by producing versions of this or other hardware that violate the law. Be respectful and responsible - don't make changes that you don't understand or that violate the law. None of this should be considered legal advice - just common sense.
